Package be.vlaanderen.mercurius.mohm.schemas.v1

# Class CreateFictionalApplicationRequestType

java.lang.Object
be.vlaanderen.mercurius.mohm.schemas.v1.CreateFictionalApplicationRequestType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class CreateFictionalApplicationRequestType extends Object implements Serializable
Groeperend element voor een nieuwe fictieve aanvraag of fictieve hernieuwing.

Java class for CreateFictionalApplicationRequestType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CreateFictionalApplicationRequestType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Reason" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}ApplicationReasonType"/>
             <element name="MobilityTool" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}ApplicationMobilityToolType" minOccurs="0"/>
             <element name="IsSecondWheelchair" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
             <element name="IsEarlyRenewalMobilityTool" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
             <element name="HasRecognitionVAPH" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
             <element name="HasSDA" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
             <element name="Bandagist" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}BandagistType"/>
             <element name="PrescriptionApprovalNumber" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}ApprovalNumberType" minOccurs="0"/>
             <element name="PrescriptionDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="RARApprovalNumber" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}ApprovalNumberType" minOccurs="0"/>
             <element name="RARDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="IsAccident" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
             <element name="Hospitalization" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}HospitalizationType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CreateFictionalApplicationRequestType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BandagistType`
  `getBandagist()`
  Groeperend element met informatie over de verstrekker.
  `HospitalizationType`
  `getHospitalization()`
  Groeperend element met informatie over een ziekenhuisopname.
  `ApplicationMobilityToolType`
  `getMobilityTool()`
  Groeperend element met informatie over het gevraagde mobiliteitshulpmiddel en/of de aanpassingen.
  `String`
  `getPrescriptionApprovalNumber()`
  Erkenningsnummer van de voorschrijvend arts.
  `Instant`
  `getPrescriptionDate()`
  Datum van het medisch voorschrift.
  `String`
  `getRARApprovalNumber()`
  Erkenningsnummer van het Rolstoel Adviesteam.
  `Instant`
  `getRARDate()`
  Datum van het RAR (Rolstoel AdviesRapport).
  `ApplicationReasonType`
  `getReason()`
  Veld voor de reden waarom de fictieve aanvraag wordt verstuurd.
  `Boolean`
  `isHasRecognitionVAPH()`
  Ja/neen veld om aan te geven of de persoon een erkenning van het VAPH heeft.
  `Boolean`
  `isHasSDA()`
  Ja/neen veld om aan te geven of het om een Snel Degeneratieve Aandoening gaat.
  `Boolean`
  `isIsAccident()`
  Ja/neen veld om aan te geven of het om een ongeval gaat.
  `Boolean`
  `isIsEarlyRenewalMobilityTool()`
  Ja/neen veld om aan te geven of het om een voortijdige hernieuwing gaat van het mobiliteitshulpmiddel of de aanpassing.
  `Boolean`
  `isIsSecondWheelchair()`
  Ja/neen veld om aan te geven of het om een aanvraag van een 2de rolstoel gaat.
  `void`
  `setBandagist(BandagistType value)`
  Sets the value of the bandagist property.
  `void`
  `setHasRecognitionVAPH(Boolean value)`
  Sets the value of the hasRecognitionVAPH property.
  `void`
  `setHasSDA(Boolean value)`
  Sets the value of the hasSDA property.
  `void`
  `setHospitalization(HospitalizationType value)`
  Sets the value of the hospitalization property.
  `void`
  `setIsAccident(Boolean value)`
  Sets the value of the isAccident property.
  `void`
  `setIsEarlyRenewalMobilityTool(Boolean value)`
  Sets the value of the isEarlyRenewalMobilityTool property.
  `void`
  `setIsSecondWheelchair(Boolean value)`
  Sets the value of the isSecondWheelchair property.
  `void`
  `setMobilityTool(ApplicationMobilityToolType value)`
  Sets the value of the mobilityTool property.
  `void`
  `setPrescriptionApprovalNumber(String value)`
  Sets the value of the prescriptionApprovalNumber property.
  `void`
  `setPrescriptionDate(Instant value)`
  Sets the value of the prescriptionDate property.
  `void`
  `setRARApprovalNumber(String value)`
  Sets the value of the rarApprovalNumber property.
  `void`
  `setRARDate(Instant value)`
  Sets the value of the rarDate property.
  `void`
  `setReason(ApplicationReasonType value)`
  Sets the value of the reason property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CreateFictionalApplicationRequestType

    public CreateFictionalApplicationRequestType()

- ## Method Details

  - ### getReason

    public ApplicationReasonType getReason()
    Veld voor de reden waarom de fictieve aanvraag wordt verstuurd. Dit kan een nieuwe aanvraag of hernieuwing zijn. Deze reden mag nooit leeg zijn.
    Returns:
      possible object is `ApplicationReasonType`

  - ### setReason

    public void setReason(ApplicationReasonType value)
    Sets the value of the reason property.
    Parameters:
      `value` - allowed object is `ApplicationReasonType`
    See Also:
      - `getReason()`

  - ### getMobilityTool

    public ApplicationMobilityToolType getMobilityTool()
    Groeperend element met informatie over het gevraagde mobiliteitshulpmiddel en/of de aanpassingen. Er moet minimum één mobiliteitshulpmiddel of één aanpassing in de fictieve aanvraag zijn opgenomen.
    Returns:
      possible object is `ApplicationMobilityToolType`

  - ### setMobilityTool

    public void setMobilityTool(ApplicationMobilityToolType value)
    Sets the value of the mobilityTool property.
    Parameters:
      `value` - allowed object is `ApplicationMobilityToolType`
    See Also:
      - `getMobilityTool()`

  - ### isIsSecondWheelchair

    public Boolean isIsSecondWheelchair()
    Ja/neen veld om aan te geven of het om een aanvraag van een 2de rolstoel gaat. Dit veld wordt niet meer gebruikt, aangezien er aparte prestatiecodes zijn aangemaakt voor 2de rolstoelen. Het is wel een verplicht element dat altijd op false moet staan.
    Returns:
      possible object is `Boolean`

  - ### setIsSecondWheelchair

    public void setIsSecondWheelchair(Boolean value)
    Sets the value of the isSecondWheelchair property.
    Parameters:
      `value` - allowed object is `Boolean`
    See Also:
      - `isIsSecondWheelchair()`

  - ### isIsEarlyRenewalMobilityTool

    public Boolean isIsEarlyRenewalMobilityTool()
    Ja/neen veld om aan te geven of het om een voortijdige hernieuwing gaat van het mobiliteitshulpmiddel of de aanpassing.
    Returns:
      possible object is `Boolean`

  - ### setIsEarlyRenewalMobilityTool

    public void setIsEarlyRenewalMobilityTool(Boolean value)
    Sets the value of the isEarlyRenewalMobilityTool property.
    Parameters:
      `value` - allowed object is `Boolean`
    See Also:
      - `isIsEarlyRenewalMobilityTool()`

  - ### isHasRecognitionVAPH

    public Boolean isHasRecognitionVAPH()
    Ja/neen veld om aan te geven of de persoon een erkenning van het VAPH heeft.
    Returns:
      possible object is `Boolean`

  - ### setHasRecognitionVAPH

    public void setHasRecognitionVAPH(Boolean value)
    Sets the value of the hasRecognitionVAPH property.
    Parameters:
      `value` - allowed object is `Boolean`
    See Also:
      - `isHasRecognitionVAPH()`

  - ### isHasSDA

    public Boolean isHasSDA()
    Ja/neen veld om aan te geven of het om een Snel Degeneratieve Aandoening gaat. Indien ja, dan zal een andere procedure worden gevolgd bij aankoop van een mobiliteitshulpmiddel. Voor verhuur zijn er specifieke prestatiecodes en hoeft dit veld niet op ja te worden gezet.
    Returns:
      possible object is `Boolean`

  - ### setHasSDA

    public void setHasSDA(Boolean value)
    Sets the value of the hasSDA property.
    Parameters:
      `value` - allowed object is `Boolean`
    See Also:
      - `isHasSDA()`

  - ### getBandagist

    public BandagistType getBandagist()
    Groeperend element met informatie over de verstrekker.
    Returns:
      possible object is `BandagistType`

  - ### setBandagist

    public void setBandagist(BandagistType value)
    Sets the value of the bandagist property.
    Parameters:
      `value` - allowed object is `BandagistType`
    See Also:
      - `getBandagist()`

  - ### getPrescriptionApprovalNumber

    public String getPrescriptionApprovalNumber()
    Erkenningsnummer van de voorschrijvend arts.
    Returns:
      possible object is `String`

  - ### setPrescriptionApprovalNumber

    public void setPrescriptionApprovalNumber(String value)
    Sets the value of the prescriptionApprovalNumber property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getPrescriptionApprovalNumber()`

  - ### getPrescriptionDate

    public Instant getPrescriptionDate()
    Datum van het medisch voorschrift. Mag niet in de toekomst liggen.
    Returns:
      possible object is `String`

  - ### setPrescriptionDate

    public void setPrescriptionDate(Instant value)
    Sets the value of the prescriptionDate property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getPrescriptionDate()`

  - ### getRARApprovalNumber

    public String getRARApprovalNumber()
    Erkenningsnummer van het Rolstoel Adviesteam.
    Returns:
      possible object is `String`

  - ### setRARApprovalNumber

    public void setRARApprovalNumber(String value)
    Sets the value of the rarApprovalNumber property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getRARApprovalNumber()`

  - ### getRARDate

    public Instant getRARDate()
    Datum van het RAR (Rolstoel AdviesRapport).
    Returns:
      possible object is `String`

  - ### setRARDate

    public void setRARDate(Instant value)
    Sets the value of the rarDate property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getRARDate()`

  - ### isIsAccident

    public Boolean isIsAccident()
    Ja/neen veld om aan te geven of het om een ongeval gaat. Dit is belangrijke informatie voor mogelijke subrogatie.
    Returns:
      possible object is `Boolean`

  - ### setIsAccident

    public void setIsAccident(Boolean value)
    Sets the value of the isAccident property.
    Parameters:
      `value` - allowed object is `Boolean`
    See Also:
      - `isIsAccident()`

  - ### getHospitalization

    public HospitalizationType getHospitalization()
    Groeperend element met informatie over een ziekenhuisopname.
    Returns:
      possible object is `HospitalizationType`

  - ### setHospitalization

    public void setHospitalization(HospitalizationType value)
    Sets the value of the hospitalization property.
    Parameters:
      `value` - allowed object is `HospitalizationType`
    See Also:
      - `getHospitalization()`